package com.ads.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * excel模板
 * @author yuqiang
 * @date 2020/9/3 11:35 上午
 * @return
 **/
@AllArgsConstructor
@Getter
public enum ExcelTemplateEnum {

    USER("user", "用户导入模板.xls", "template/user.xls");

    private String type;

    private String name;

    private String path;

    public static ExcelTemplateEnum getEnum(String type) {
        for (ExcelTemplateEnum m: ExcelTemplateEnum.values()) {
            if (m.type.equals(type)) {
                return m;
            }
        }
        return null;
    }
}
